Eclipse Platform Release 3.7

## org.eclipse.osgi.service.runnable
Interface ParameterizedRunnable

All Known Subinterfaces:
  ApplicationRunnable

    public interface ParameterizedRunnable

Like a `Runnable`, an object which captures a block of code which can be passed around and executed. Unlike standard runnables, paramaterized runnables allow an arbitrary `Object` to be passed in when the block is evaluated.

Clients may implement this interface.

This class is for internal use by the platform-related plug-ins. Clients outside of the base platform should not reference or subclass this class.

Since:
  3.0

Method Summary
`Object` `run(Object context)` Executes the block of code encapsulated by this runnable in the context of the given object and returns the result.

Method Detail

### run

    Object run(Object context)
               throws Exception

  Executes the block of code encapsulated by this runnable in the context of the given object and returns the result. The result may be `null`.

  Parameters:
    `context` - the context for evaluating the runnable
  Returns:
    the result of evaluating the runnable in the given context
  Throws:
    `Exception` - if there is a problem running this runnable

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.